Package net.shibboleth.idp.attribute

# Class DateTimeAttributeValue

java.lang.Object
net.shibboleth.idp.attribute.DateTimeAttributeValue

All Implemented Interfaces:
  `Comparable<IdPAttributeValue>`, `IdPAttributeValue`

public class DateTimeAttributeValue extends Object implements IdPAttributeValue
Base class for `IdPAttribute` values that are date/time values.

Since:
  4.3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Instant`
`value`
The attribute value.

## Constructor Summary

Constructors
Constructor
Description
`DateTimeAttributeValue(Instant attributeValue)`
Constructor.
`DateTimeAttributeValue(ZonedDateTime attributeValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDisplayValue()`
Get a displayable form of the value for user interfaces and similar purposes.
`Object`
`getNativeValue()`
Get the native representation of the value of this attribute.
`final Instant`
`getValue()`
Return the value.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.idp.attribute.IdPAttributeValue

`compareTo`

## Field Details

### value

@Nonnull private final Instant value
The attribute value.

## Constructor Details

### DateTimeAttributeValue

public DateTimeAttributeValue(@Nonnull @ParameterName(name="attributeValue") Instant attributeValue)
Constructor.

Parameters:
  `attributeValue` - the attribute value

### DateTimeAttributeValue

public DateTimeAttributeValue(@Nonnull @ParameterName(name="attributeValue") ZonedDateTime attributeValue)
Constructor.

Parameters:
  `attributeValue` - the attribute value

## Method Details

### getNativeValue

@Nonnull public Object getNativeValue()
Get the native representation of the value of this attribute.

Specified by:
  `getNativeValue` in interface `IdPAttributeValue`
Returns:
  the attribute value in native format.

### getValue

@Nonnull public final Instant getValue()
Return the value.

Returns:
  the value

### getDisplayValue

@Nonnull @NotEmpty public String getDisplayValue()
Get a displayable form of the value for user interfaces and similar purposes.

Specified by:
  `getDisplayValue` in interface `IdPAttributeValue`
Returns:
  a displayable value

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`